#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "STM32F767.h"
#include "DAC.h"
#include "trig.h"
#include "UART.h"
#include "ethernet.h"

extern volatile RCC_T *RCC;
extern volatile NVIC_T *NVIC;
extern volatile GPIO_T *GPIOA;
extern volatile GPIO_T *GPIOB;
extern volatile GPIO_T *GPIOC;
extern volatile ADC_T *ADC1;
extern volatile ADC_T *ADC2;
extern volatile ADC_T *ADC3;
extern volatile ADC_COMMON_T *ADC_COMMON;
extern volatile DMA_T *DMA1;
extern volatile DMA_T *DMA2;

extern volatile uint8_t *tx_buffer_ptr;

extern volatile uint32_t N_requested_frames;

/* Prototypes */
void init_ADC();
void DMA2_Stream4_IRQHandler();
