#include <stdio.h>
#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "STM32F767.h"
#include "UART.h"

/* external variables */
extern volatile ETH_T *ETH;
extern volatile RCC_T *RCC;
extern volatile SYSCFG_T *SYSCFG;

/* Definitions */
#define PHY_ADDRESS    0
#define N_PACKET_BYTES 64

/* Prototypes */
void init_ethernet();
void phy_write(uint32_t data, uint32_t phy_register);
uint32_t phy_read(uint32_t phy_register);
void transmit_ethernet_frame(uint32_t descriptor_index);
void ETH_IRQHandler();
