#ifndef UART_H
#define UART_H

#include <stdint.h>
#include <stdlib.h>
#include <string.h>

#include "STM32F767.h"

extern volatile RCC_T *RCC;
extern volatile USART_T *USART1;
extern volatile USART_T *USART2;
extern volatile USART_T *USART3;
extern volatile NVIC_T *NVIC;

/* Prototypes */
void init_UART();
void send_byte_UART(uint8_t byte);
void send_byte_hex_UART(uint8_t byte);
void send_string_UART(char *string);
void send_string_number_UART(char *string, uint32_t number);
void USART3_IRQHandler(void);

#endif /* UART_H */
